Bug 506161 - SELinux inhibiting Gnome desk operation (1 of 6)
SELinux inhibiting Gnome desk operation (1 of 6)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 15:18 EDT by William A. Mahaffey III
Modified: 2009-08-21 17:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-21 17:35:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SELinux output from management dialog (2.98 KB, text/plain)
2009-06-15 15:19 EDT, William A. Mahaffey III
no flags Details
more output .... (3.83 KB, text/plain)
2009-06-15 15:20 EDT, William A. Mahaffey III
no flags Details
& yet more .... (2.97 KB, text/plain)
2009-06-15 15:20 EDT, William A. Mahaffey III
no flags Details
& more .... (2.89 KB, text/plain)
2009-06-15 15:21 EDT, William A. Mahaffey III
no flags Details

  None (edit)
Description William A. Mahaffey III 2009-06-15 15:18:04 EDT
Description of problem:see attached


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 William A. Mahaffey III 2009-06-15 15:19:37 EDT
Created attachment 347988 [details]
SELinux output from management dialog
Comment 2 William A. Mahaffey III 2009-06-15 15:20:24 EDT
Created attachment 347989 [details]
more output ....
Comment 3 William A. Mahaffey III 2009-06-15 15:20:58 EDT
Created attachment 347990 [details]
& yet more ....
Comment 4 William A. Mahaffey III 2009-06-15 15:21:29 EDT
Created attachment 347991 [details]
& more ....
Comment 5 William A. Mahaffey III 2009-06-15 15:22:45 EDT
version change to FC 11 ....
Comment 6 Daniel Walsh 2009-06-15 15:44:42 EDT
restorecon -R -v ~/

Should fix.

The problem here is a mislabeled directory.
Comment 7 William A. Mahaffey III 2009-06-15 17:00:14 EDT
I will try this & report back. It seems odd to have this problem on an upgrade (from FC9, using preupgrade), when it all worked AOK under FC9 for many months ....
Comment 8 Daniel Walsh 2009-06-16 09:54:46 EDT
Well we are adding confinement in F11 that did not exist in F11.  We are trying to confine all apps that run as root on behalf of the user.  To stop any potential bugs in the system allowing the take over of the entire system

Note You need to log in before you can comment on or make changes to this bug.